#ifndef __SIM_INST__
#define __SIM_INST__

#include "HevyMetl.h"
#include "Mandolin.h"
#include "PercFlut.h"
#include "Plucked.h"
#include "Flute.h"

class SimInst {
public:
	SimInst();
	~SimInst();
	
	double tick();

private:
	stk::HevyMetl mHevyMetl;
	stk::Mandolin mMandolin;
	stk::PercFlut mPercFlut;
	stk::Plucked mPlucked;
	stk::Flute mFlute;
};

#endif // __SIM_INST__


